using System;
using NinjaTrader.Cbi;

internal sealed class Delegate344 : MulticastDelegate
{
	public extern MasterInstrument Invoke(object object_0);

	public static MasterInstrument smethod_0(object object_0, Delegate344 delegate344_1)
	{
		return delegate344_1(object_0);
	}

	public extern Delegate344(object object_0, IntPtr intptr_0);

	static Delegate344()
	{
		Class10.smethod_13(typeof(Delegate344).TypeHandle);
	}

	internal static Delegate344 delegate344_0;
}
